<?php
/**
* Plugin randomPic
*
* @package	PLX
* @version	1.0
* @date	21/03/18
* @author Bronco
**/
class randomPic extends plxPlugin {
	public function __construct($default_lang) {
		# appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		
		
		
		# Declaration d'un hook (existant ou nouveau)
		$this->addHook('randomPic','randomPic');

		
	}

	# Activation / desactivation
	public function OnActivate() {
		# code à executer à l’activation du plugin
	}
	public function OnDeactivate() {
		# code à executer à la désactivation du plugin
	}
	

	########################################
	# HOOKS
	########################################


	########################################
	# randomPic
	########################################
	# Description:
	public function randomPic($params){
		if (is_array($params)){
			$pattern=$params[1];
			$folder=$params[0];
		}else{
			$pattern='<img class="randomPic" src="%" alt="%"/>';
			$folder=$params;
		}
		if (strpos($folder, '*')){
			$folders=explode('*',$folder);
		}else{
			$folders=[$folder];
		}
		$pics=[];
		foreach ($folders as $folder) {
			$pics=array_merge(glob($folder.'/*.{jpg,png,gif,jpeg,JPG,PNG,GIF,JPEG}', GLOB_BRACE),$pics);
		}
		$pic=$pics[array_rand($pics)];
		
		echo str_replace('%',$pic,$pattern);
	}

	

}





/* Pense-bete:
 * Récuperer des etres du fichier eters.xml
 *	$this->getParam("<nom du etre>")
 *	$this-> setParam ("1", 12345, "numeric")
 *	$this->saveParams()
 *
 *	plxUtils::strCheck($string) : sanitize string
 *
 * 
 * Quelques constantes utiles: 
 * PLX_CORE
 * PLX_ROOT
 * PLX_CHARSET
 * PLX_PLUGINS
 * PLX_CONFIG_PATH
 * PLX_ADMIN (true si on est dans admin)
 * PLX_CHARSET
 * PLX_VERSION
 * PLX_FEED
 *
 * Appel de HOOK dans un thème
 *	eval($plxShow->callHook("ThemeEndHead","1"))  ou eval($plxShow->callHook("ThemeEndHead",array("1","2")))
 *	ou $retour=$plxShow->callHook("ThemeEndHead","1"));
 */